Update build and Git settings
curl --request PATCH \
--url https://orbitlab.dev/api/v1/services/{id}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"repoUrl": "<string>",
"rootDir": "<string>",
"prodBranch": "<string>",
"buildCmd": "<string>",
"startCmd": "<string>",
"env": {}
}
'import requests
url = "https://orbitlab.dev/api/v1/services/{id}/settings"
payload = {
"repoUrl": "<string>",
"rootDir": "<string>",
"prodBranch": "<string>",
"buildCmd": "<string>",
"startCmd": "<string>",
"env": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
repoUrl: '<string>',
rootDir: '<string>',
prodBranch: '<string>',
buildCmd: '<string>',
startCmd: '<string>',
env: {}
})
};
fetch('https://orbitlab.dev/api/v1/services/{id}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}Services
Update build and Git settings
Only the fields provided are changed. Takes effect on the next deploy.
Requires the owner or admin role in the organization.
CLI: orbitlab settings set [service] --build-cmd …
PATCH
/
v1
/
services
/
{id}
/
settings
Update build and Git settings
Autorisations
bearerAuthsessionCookie
API token (olab_…) created in Settings → API tokens or with orbitlab login.
En-têtes
Organization to act on (id or slug) for tokens that can access several organizations. Defaults to your first organization.
Paramètres de chemin
Service id.
Corps
application/json
Réponse
success.
The response is of type object.
Cette page vous a-t-elle été utile ?